-----------------------------------------------------------------------------
-- |
-- Module      :  Data.TMap.Exception
-- Copyright   :  Peter Robinson 2009
-- License     :  LGPL
--
-- Maintainer  :  Peter Robinson <thaldyron@gmail.com>
-- Stability   :  experimental
-- Portability :  non-portable (requires STM)
--
-- 
--
-----------------------------------------------------------------------------

module Data.TMap.Exception( TMapException(..) )
where
import Control.Exception
import Data.Typeable

data TMapException = DuplicateEntry 
                   | EntryNotFound 
--                   | TMapNotFound 
                   | TMapDefaultExc String
                   | BackendException String
                   deriving (Show,Eq,Typeable)
   
instance Exception TMapException   


